#pragma once

#include <string>
#include <filesystem>

namespace fcf {

  std::string                   path_to_utf8str(const std::filesystem::path& a_path);
  std::filesystem::path         utf8cstr_to_path(const char* a_str);
  template<typename Ty>
  inline std::filesystem::path  utf8str_to_path(Ty a_str){ return utf8cstr_to_path(&a_str[0]); };

}